Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.jshint
[Java] Class JsHint

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.plugins.javascript.jshint.JsHint

    public class JsHint
    extends SourceTask

Constructor Summary
`JsHint(Factory workerProcessBuilderFactory)`

Method Summary
`void` | `doJsHint()`
`String` | `getEncoding()`
`FileCollection` | `getJsHint()`
`File` | `getJsonReport()`
`FileCollection` | `getRhinoClasspath()`
`void` | `setEncoding(String encoding)`
`void` | `setJsHint(Object jsHint)`
`void` | `setJsonReport(Object jsonReport)`
`void` | `setRhinoClasspath(Object rhinoClasspath)`

Methods inherited from class SourceTask
exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source

Constructor Detail

### JsHint

    @Inject
    public JsHint(Factory workerProcessBuilderFactory)

Method Detail

### doJsHint

    @TaskAction
    public void doJsHint()

### getEncoding

    @Input
    public String getEncoding()

### getJsHint

    @InputFiles
    public FileCollection getJsHint()

### getJsonReport

    @OutputFile
    public File getJsonReport()

### getRhinoClasspath

    @InputFiles
    public FileCollection getRhinoClasspath()

### setEncoding

    public void setEncoding(String encoding)

### setJsHint

    public void setJsHint(Object jsHint)

### setJsonReport

    public void setJsonReport(Object jsonReport)

### setRhinoClasspath

    public void setRhinoClasspath(Object rhinoClasspath)

Gradle API 1.10